tcl problem

Ken Moffat ken at linuxfromscratch.org
Mon Jan 8 05:43:07 PST 2007


On Sun, Jan 07, 2007 at 04:50:31PM -0800, Yoav Farkash wrote:
> Hi,
> 
> This is my first try with the LFS project. I am stuck
> at the first pass (5.10 in the book) with the
> installation of TCL-8.4.7.
> 
 Seriously, 8.4.7?  You don't say which version of the book you are
following, but it must be at least 2 years old.

> I get the following output when running the configure
> command (./configure --prefix=/tools in the unix
> folder):
> -------
[...]
> Checking system version (for dynamic loading)...  
> ./configure: line 7163:syntax error, near unexpected
> token ')'
> ./configure: line 7163: '     OSF*)'
> -------
> 
> Any ideas?
> 
 This looks like the sort of problems we've seen when bash-3.1 (I
think) was first released - it highlighted a syntax problem in the
configure script.  So, I guess your host system is fairly recent.

 You should probably try building from the 6.2 verion of LFS.  You
could try using a host system from the same time as the book you are
following (if this is just a test build, not for 'production'), but
recent hardware changes (particularly, the widespread use of SATA
disks) might that you might need an old machine as well.

ĸen
-- 
das eine Mal als Tragödie, das andere Mal als Farce



More information about the lfs-support mailing list